[solved] Cpanel + LSAPI 6.0 + LSWS 4.2 Anomaly

Discussion in 'Bug Reports' started by DraCoola, Oct 10, 2012.

  1. DraCoola

    DraCoola Member

    I have three boxes using cloudlinux.
    one of them using lsws 4.1.13, and lsws 4.2.1 for others .
    but they are all using the same lsapi 6.1.
    and they are together keep sending 503 error emails.

    sometimes 503 errors stoped after setting Memory Soft Limit to beyond 650 Mb.
    but i have to stop raising Memory Soft Limit because more higher value seems doesn't make sense to me (more than 650mb).
  2. mistwang

    mistwang LiteSpeed Staff

    How about downgrade LSAPI to 5.5 for the 4.1.13 box?
    The php-litespeed package is still there, just change the version number in the download link, then locate the existing PHP build directory, replace *.c and *.h under sapi/litespeed directory, run 'make' again to build the PHP binary.

    If you do not use suEXEC daemon mode, you can downgrade the box using 4.2.1 as well.
  3. DraCoola

    DraCoola Member

    it's been three days now using lsws 4.1.13 and lsapi 6.1 to all of my boxes.
    no more error 503 emails from cloudlinux boxes after that.
  4. DraCoola

    DraCoola Member

    new fresh instalation today, and i've got this :

    [​IMG]

    it is brand new colocation box with brand new cpanel (php 5.3.19) and also brand new lsws license and brand new lsws 4.2.1 automatically from whm plugin.
    i thought this 4.2.1 has something wrong inside.

    would you mind to rewrite litesped whm plugin to use with just the old stable 4.1.13?
    because after /usr/local/lsws/admin/misc/lsup.sh -f -v 4.1.13 still cannot build php from whm and either command line :

    Code:
    root@hellraiser [/usr/src]# /usr/local/cpanel/whostmgr/cgi/lsws/cmd_buildmatchingphp.sh
    
    Warning: putenv(): Safe Mode warning: Cannot set environment variable 'ACCEPT_ENCODING' - it's not in the allowed list in /usr/local/cpanel/whostmgr/docroot/cgi/lsws/buildPHP.inc.php on line 9
    
    Warning: putenv(): Safe Mode warning: Cannot set environment variable 'HTTP_ACCEPT_ENCODING' - it's not in the allowed list in /usr/local/cpanel/whostmgr/docroot/cgi/lsws/buildPHP.inc.php on line 10
    
    Warning: putenv(): Safe Mode warning: Cannot set environment variable 'SCRIPT_FILENAME' - it's not in the allowed list in /usr/local/cpanel/whostmgr/docroot/cgi/lsws/buildPHP.inc.php on line 11
    
    Warning: putenv(): Safe Mode warning: Cannot set environment variable 'REDIRECT_STATUS' - it's not in the allowed list in /usr/local/cpanel/whostmgr/docroot/cgi/lsws/buildPHP.inc.php on line 12
    
    Warning: putenv(): Safe Mode warning: Cannot set environment variable 'SERVER_SOFTWARE' - it's not in the allowed list in /usr/local/cpanel/whostmgr/docroot/cgi/lsws/buildPHP.inc.php on line 13
    
    Warning: putenv(): Safe Mode warning: Cannot set environment variable 'SERVER_NAME' - it's not in the allowed list in /usr/local/cpanel/whostmgr/docroot/cgi/lsws/buildPHP.inc.php on line 14
    
    Warning: putenv(): Safe Mode warning: Cannot set environment variable 'GATEWAY_INTERFACE' - it's not in the allowed list in /usr/local/cpanel/whostmgr/docroot/cgi/lsws/buildPHP.inc.php on line 15
    
    Warning: putenv(): Safe Mode warning: Cannot set environment variable 'REQUEST_METHOD' - it's not in the allowed list in /usr/local/cpanel/whostmgr/docroot/cgi/lsws/buildPHP.inc.php on line 16
    sh: /usr/local/php/bin/php: No such file or directory
    ERROR: /usr/local/bin/php -i returns 127 <br>Please make sure PHP exists, you can specify a different location by editing variable definition PHP_AP_LOC
    and if you don't mind, you might want to remove " [solved]" from this thread subject.
  5. Lauren

    Lauren LiteSpeed Staff Staff Member

    please try add below 2 lines
    safe_mode = Off
    safe_mode_gid = Off

    in file /usr/local/cpanel/whostmgr/cgi/lsws/php.ini

    and run from command line again.

Share This Page